Update a transaction
PUT https://api.company-information.service.gov.uk/transactions/{transaction_id}
The request body takes a complete
transaction resource, containing the following writable properties:
{
"reference": "string",
"resume_journey_uri": "string",
"status": "string"
}
| Name |
Type |
Description |
Additional |
|
reference
|
string |
The user reference assiged to this transaction.
|
Optional
|
|
resume_journey_uri
|
string |
The URL that can be used to resume a web journey associated with this transaction.
|
Optional
|
|
status
|
string |
The status of the transaction.
Possible values are:
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 202 |
Accepted The update to the transaction to put it into the closed state has been accepted, but will only be actioned on receipt of a successful payment
| Name |
Type |
Description |
| X-Payment-Required |
string
|
Indicates that a payment needs to be made to progress the transaction into a closed state. - the intention is that this will be a URI - needs some more thought
|
|
|
| 204 |
No Content transaction updated
|
|
| 400 |
Bad Request Bad request body provided
|
|
| 401 |
Unauthorized Not authorised to update this transaction
|
|
| 403 |
Forbidden transaction cannot be modified as it has been closed
|
|
| 422 |
Unprocessable Entity. Indicates that although the request is valid and well formed the transaction or one of its resources is in an invalid state and failing a validation status check
|
validationStatus |